lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "intra/version"

Gem::Specification.new do |spec|
  spec.name          = "intra"
  spec.version       = Intra::VERSION
  spec.authors       = ["Scott Serok"]
  spec.email         = ["scott@serok.us"]

  spec.summary       = %q{Add OAuth support to your internal Rack app.}
  spec.description   = %q{Many companies have internal apps to support their day to day operations. This library is a drop-in Google OAuth authentication and session management library so you don't have to install Devise.}
  spec.homepage      = "https://github.com/scottserok/intra"
  spec.license       = "MIT"

  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = spec.homepage
    spec.metadata["changelog_uri"] = spec.homepage
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.require_paths = ["lib"]

  spec.add_dependency 'rails'
  spec.add_dependency 'omniauth'
  spec.add_dependency 'omniauth-google-oauth2'
  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "timecop"
end
